#
# spec file for package suse-hpc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define git_ver .960d922
Summary:        SUSE HPC Environment
License:        BSD-3-Clause
Group:          Productivity/Clustering/Computing
Name:           suse-hpc
Version:        0.1
Release:        lp150.7.1
Source0:        macros.hpc
Source1:        dlinfo.c
Source2:        hpc_elf.pl
Source3:        hpc_elf.attr
Source4:        hpc_elflib.attr
Source5:        LICENSE
Url:            http://www.suse.com/hpc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provide rpm macros for building and installing SUSE HPC
packages.

%prep
cp %{S:1} .

%build
gcc -o dlinfo dlinfo.c -ldl

%install
mkdir -p  %{buildroot}%{_sysconfdir}/rpm
install -m 644 %{S:0} %{buildroot}%{_sysconfdir}/rpm
mkdir -p  %{buildroot}%{_rpmconfigdir}/fileattrs
install -m 755 %{S:2} dlinfo %{buildroot}%{_rpmconfigdir}
install -m 644 %{S:3} %{S:4} %{buildroot}%{_rpmconfigdir}/fileattrs
cp %{S:5} .

%files
%defattr(-,root,root,-)
%doc LICENSE
%config %{_sysconfdir}/rpm/macros.hpc
%{_rpmconfigdir}/dlinfo
%{_rpmconfigdir}/hpc_elf.pl
%{_rpmconfigdir}/fileattrs/*

%changelog
* Mon Mar 12 2018 eich@suse.com
- Append a newline to the shebang line prepended by the
  %%hpc_shebang_prepend_list macro (boo#1084951).
* Sun Feb 25 2018 eich@suse.com
- Add functions to:
  * sanitize the shebang path in scripts,
  * move python code to the local site arch directory removing
    any leading shebang line and execute bits
  * Add the appropriate shebang line to a script and set the
    execution bit.
  * validate Python 3 code (bsc#1082209).
* Fri Feb  9 2018 eich@suse.com
- Fix summary in module files (bnc#1080259).
* Tue Jan 30 2018 eich@suse.com
- For tool don't distinguish minor versions:
  %%hpc_cf_dep_version represents what we distinguish
  which determines the granularity in compiler selection.
* Mon Nov 20 2017 eich@suse.com
- Add lua-lmod to the HPC base Requires
- Fix %%name in %%hpc_python_master_package
  Not only %%pname but also %%name needs to have python replaced
  by %%python_flavor.
- Add macro to santize %%pname for environment variables
  This marco up-cases the name and replaces '-' by '_'.
* Thu Oct 19 2017 eich@suse.com
- Fix master package macro to handle sub-packages with a
  different basename correctly.
* Fri Oct  6 2017 nmoreychaisemartin@suse.com
- Add _service to fetch github files
* Thu Oct  5 2017 eich@suse.com
- Make source files downloadable from git.
* Wed Oct  4 2017 eich@suse.com
- Add more documentation.
- Fix LICENSE and copyright statement in LICENSE.
* Thu Sep 21 2017 nmoreychaisemartin@suse.com
- Add %%{?hpc_ext} to install path to allow multiple flavor installs
* Wed Sep 13 2017 eich@suse.com
- Add a dependency generator wrapper for binaries and libraries
  to avoid adding standard dependencies for HPC libraries.
* Tue Sep 12 2017 eich@suse.com
- Removed unneeded BuildRequires:
* Wed May  3 2017 eich@suse.com
- Initial version (FATE#320596).
